Importing changlist failed: unknown error has occured

Hello,
while importing a changelist from mas-test to mas-prod-system I get
error in transport service:
Importing changelist failed: unknwon error has occured, trying to reconnect.
I reinstalled the service, connections are ok, but this didn't solve the probelm.
What I have seen is that in the tile set  'imported changelist to be released'
my released changelist is about 25 times there - I think that is not normal.
Does anybody know where the problem could be ?
Thanks Gerd

Hi Gerd,
I don't know how to solve that particular issue but as a workaround I suggest to manually export and import the CL.
In 4.0 use these commands:
1. Export
Transport.exe /DBDars_db /DBUarsadmin /DBP /EXPexport /DIR"C:\temp" /CIDXX43748642B841409C5F03XXXXXXXXXX
where:
/DBD = Dsn of DB
/DBU = Administrator user(ARSAdmin)
/DBP = Password
/EXP = Operation(either export or import)
/DIR = Path to save the files to(during export) as well as path from where to pick up the CLs from(during import)
/CID = ChangelistID to be exported/imported
2. Import
Transport.exe /DBDars_db /DBUarsadmin /DBP /EXPimport /DIR"C:\temp" /CIDXX43748642B841409C5F03CXXXXXXXXX
If you are on .net use the Import / Export Manager. If you need that tool please contact me directly.
Regards
Whity

Similar Messages

  • System image utility fails "Unknown error has occurred"

    Hi,
    I can create disk images from 10.8.3 clients but when i'm putting them through system utility on the 10.8 server it fails after hours of running.
    The log is set to debug and shows the image creates upto 83% then jumps to 100% and later shows unknown errors and failed to create image from restore souce.
    I've created several disk images and saved them to different locations on the server as the source and final image.
    Below i've put in the debug log. Someone please help!!
    Workflow Started (2012-01-02 13:56:58 +0000)
    OS X Server 10.8.3 (12D78), System Image Utility 10.8.3 (624)
    Starting action: Define Image Source (1.4)
    Finished running action: Define Image Source
    Starting action: Create Image (1.7.2)
    Starting image creation process...
    Create NetRestore Image
    Initiating NetRestore from installed volume.
    progressPrefix="_progress"
    ++ progressPrefix=_progress
    scriptsDebugKey="DEBUG"
    ++ scriptsDebugKey=DEBUG
    imageIsUDIFKey="1"
    ++ imageIsUDIFKey=1
    imageFormatKey="UDZO"
    ++ imageFormatKey=UDZO
    mountPoint=""
    ++ mountPoint=
    ownershipInfoKey="501:20"
    ++ ownershipInfoKey=501:20
    blockCopyDeviceKey="0"
    ++ blockCopyDeviceKey=0
    dmgTarget="NetInstall"
    ++ dmgTarget=NetInstall
    potentialRecoveryDevice="disk3s3"
    ++ potentialRecoveryDevice=disk3s3
    asrSource="ASRInstall.pkg"
    ++ asrSource=ASRInstall.pkg
    destPath="/Volumes/Macintosh HD/Library/NetBoot/NetBootSP0/NetRestore of Macintosh 10-8_2.nbi"
    ++ destPath='/Volumes/Macintosh HD/Library/NetBoot/NetBootSP0/NetRestore of Macintosh 10-8_2.nbi'
    skipReorderingKey="0"
    ++ skipReorderingKey=0
    sourceVol="/Volumes/Macintosh HD 1"
    ++ sourceVol='/Volumes/Macintosh HD 1'
    postInstallHelperKey="1"
    ++ postInstallHelperKey=1
    . "${1}/createCommon.sh"
    + . /tmp/niutemp.YPRmigsL/createCommon.sh
    # createCommon.sh
    # Common functionality for the Image creation process.
    # sourced in by the various SIU scripts
    # Copyright © 2007-2012 Apple Inc. All rights reserved.
    # Using dscl, create a user account
    AddLocalUser()
    # $1 volume whose local node database to modify
    # $2 long name
    # $3 short name
    # $4 isAdminUser key
    # $5 password data
    # $6 password hint
    # $7 user picture path
    # $8 Language string
    local databasePath="/Local/Default/Users/${3}"
    local targetVol="${1}"
    # Find a free UID between 501 and 599
    for ((i=501; i<600; i++)); do
    output=`/usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -search /Local/Default/Users UniqueID $i`
    # If there is already an account dscl returns it, so we're looking for an empty return value.
    if [ "$output" == "" ]; then
    break
    fi
    done
    # Create the user record
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -create $databasePath
    if [ $? != 0 ]; then
    echo "Failed to create '${databasePath}'."
    return 1
    fi
    # Add long name
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath RealName "${2}"
    if [ $? != 0 ]; then
    echo "Failed to set the RealName."
    return 1
    fi
    # Set up the users group information
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath PrimaryGroupID 20
    if [ $? != 0 ]; then
    echo "Failed to set the PrimaryGroupID."
    return 1
    fi
    # Add some additional stuff if the user is an admin
    if [ "${4}" == 1 ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/admin" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the admin group."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/_appserveradm" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the _appserveradm group."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append "/Local/Default/Groups/_appserverusr" GroupMembership "${3}"
    if [ $? != 0 ]; then
    echo "Failed to add the user to the _appserverusr group."
    return 1
    fi
    fi
    # Add UniqueID
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UniqueID ${i}
    if [ $? != 0 ]; then
    echo "Failed to set the UniqueID."
    return 1
    fi
    # Add Home Directory entry
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath NFSHomeDirectory /Users/${3}
    if [ $? != 0 ]; then
    echo "Failed to set the NFSHomeDirectory."
    fi
    if [ "${6}" != "" ]; then
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath AuthenticationHint "${6}"
    if [ $? != 0 ]; then
    echo "Failed to set the AuthenticationHint."
    return 1
    fi
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath picture "${7}"
    if [ $? != 0 ]; then
    echo "Failed to set the picture."
    return 1
    fi
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -passwd $databasePath "${5}"
    if [ $? != 0 ]; then
    echo "Failed to set the passwd."
    return 1
    fi
    # Add shell
    /usr/bin/dscl -f "${targetVol}/var/db/dslocal/nodes/Default" localonly -append $databasePath UserShell "/bin/bash"
    if [ $? != 0 ]; then
    echo "Failed to set the UserShell."
    return 1
    fi
    # Create Home directory
    if [ -e "/System/Library/User Template/${8}.lproj/" ]; then
    /usr/bin/ditto "/System/Library/User Template/${8}.lproj/" "${targetVol}/Users/${3}"
    else
    /usr/bin/ditto "/System/Library/User Template/English.lproj/" "${targetVol}/Users/${3}"
    fi
    if [ $? != 0 ]; then
    echo "Failed to copy the User Template."
    return 1
    fi
    /usr/sbin/chown -R $i:$i "${targetVol}/Users/${3}"
    if [ $? != 0 ]; then
    echo "Failed to set ownership on the User folder."
    return 1
    fi
    # Copies a list of files (full paths contained in the file at $1) from source to the path specified in $2
    CopyEntriesFromFileToPath()
    local theFile="$1"
    local theDest="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    /usr/bin/ditto $opt "${FILE}" "${theDest}/${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Copies a list of packages (full path, destination pairs contained in the file at $1) from source to .../System/Installation/Packages/
    CopyPackagesWithDestinationsFromFile()
    local theFile="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    local leafName=`basename "${FILE}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Copying ${FILE}."
    fi
    read SUB_PATH
    /usr/bin/ditto $opt "${FILE}" "${mountPoint}/Packages/${SUB_PATH}${leafName}" || return 1
    fi
    done < "${theFile}"
    return 0
    # Create an installer package in ${1} wrapping the supplied script ${2}
    CreateInstallPackageForScript()
    local tempDir="$1"
    local scriptPath="$2"
    local scriptName=`basename "${scriptPath}"`
    local entryDir=`pwd`
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Create installer for script ${scriptName}"
    opt="-v"
    fi
    # shouldn't exist on entry...
    if [ -e "${tempDir}/emptyDir" ]; then
    /bin/rm -rf "${tempDir}/emptyDir"
    fi
    # make some directories to work in
    /bin/mkdir $opt -p "${tempDir}/${scriptName}.pkg/Contents/Resources" || return 1
    /bin/mkdir $opt "${tempDir}/emptyDir" || return 1
    # Create Archive.pax.gz
    cd "${tempDir}/emptyDir"
    /bin/pax -w -x cpio -f "${tempDir}/${scriptName}.pkg/Contents/Archive.pax" .
    /usr/bin/gzip "${tempDir}/${scriptName}.pkg/Contents/Archive.pax"
    cd "${entryDir}"
    # Create the Archive.bom file
    /usr/bin/mkbom "${tempDir}/emptyDir/" "${tempDir}/${scriptName}.pkg/Contents/Archive.bom" || return 1
    # Create the Info.plist
    /bin/cat > "${tempDir}/${scriptName}.pkg/Contents/Info.plist" << END
    <?xml version="1.0" encoding="UTF-8"?>
    <!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
    <plist version="1.0">
    <dict>
    <key>CFBundleIdentifier</key>
    <string>com.apple.SystemImageUtility.${scriptName}</string>
    <key>CFBundleShortVersionString</key>
    <string>1</string>
    <key>IFMajorVersion</key>
    <integer>1</integer>
    <key>IFMinorVersion</key>
    <integer>0</integer>
    <key>IFPkgFlagDefaultLocation</key>
    <string>/tmp</string>
    <key>IFPkgFlagInstallFat</key>
    <false/>
    <key>IFPkgFlagIsRequired</key>
    <false/>
    <key>IFPkgFormatVersion</key>
    <real>0.10000000149011612</real>
    </dict>
    </plist>
    END
    echo "pkmkrpkg1" > "${tempDir}/${scriptName}.pkg/Contents/PkgInfo"
    echo "major: 1\nminor: 0" > "${tempDir}/${scriptName}.pkg/Contents/Resources/package_version"
    # Copy the script
    /bin/cp "$scriptPath" "${tempDir}/${scriptName}.pkg/Contents/Resources/postflight"
    # clean up
    /bin/rm -r "${tempDir}/emptyDir"
    return 0
    # Validate or create the requested directory
    CreateOrValidatePath()
    local targetDir="$1"
    if [ ! -d "${targetDir}" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating working path at ${targetDir}"
    fi
    /bin/mkdir -p "${targetDir}" || return 1
    fi
    # If any exist, apply any user accounts
    CreateUserAccounts()
    # $1 volume whose local node database to modify
    local count="${#userFullName[*]}"
    local targetVol="${1}"
    if [ $count -gt 0 ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding $count user account(s) to the image"
    fi
    for ((index=0; index<$count; index++)); do
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Adding user ${userFullName[$index]}"
    fi
    #lay down user here
    AddLocalUser "${targetVol}" "${userFullName[$index]}" "${userUnixName[$index]}" "${userIsAdmin[$index]}" "${userPassword[$index]}" "${userPassHint[$index]}" "${userImagePath[$index]}" "${userLanguage[$index]}"
    if [ $? != 0 ]; then
    echo "Failed to create the User '${userUnixName[$index]}'."
    return 1
    fi
    #suppress the Apple ID request
    DisableAppleIDRequestForUser "${targetVol}" "${userUnixName[$index]}"
    done
    # "touch"
    /usr/bin/touch "${targetVol}/private/var/db/.AppleSetupDone"
    /usr/bin/touch "${targetVol}/Library/Receipts/.SetupRegComplete"
    fi
    # retry the hdiutil detach until we either time out or it succeeds
    retry_hdiutil_detach()
    local mount_point="${1}"
    local tries=0
    local forceAt=0
    local limit=24
    local opt=""
    forceAt=$(($limit - 1))
    while [ $tries -lt $limit ]; do
    tries=$(( tries + 1 ))
    /bin/sleep 5
    echo "Attempting to detach the disk image again..."
    /usr/bin/hdiutil detach "${mount_point}" $opt
    if [ $? -ne 0 ]; then
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${mount_point}"
    fi
    if [ $tries -eq $forceAt ]; then
    echo "Failed to detach disk image at '${mount_point}' normally, adding -force."
    opt="-force"
    fi
    if [ $tries -eq $limit ]; then
    echo "Failed to detach disk image at '${mount_point}'."
    exit 1
    fi
    else
    tries=$limit
    fi
    done
    # Create the dyld shared cache files
    DetachAndRemoveMount()
    local theMount="${1}"
    local mountLoc=`mount | grep "${theMount}"`
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Detaching disk image"
    # Dump a list of any still open files on the mountPoint
    if [ "${scriptsDebugKey}" == "DEBUG" ]; then
    /usr/sbin/lsof +fg "${theMount}"
    fi
    fi
    # Finally detach the mount (if it's actually mounted) and dispose the mountPoint directory
    if [ "${mountLoc}" != "" ]; then
    /usr/bin/hdiutil detach "${theMount}" || retry_hdiutil_detach "${theMount}" || return 1
    fi
    /bin/rmdir "${theMount}" || return 1
    return 0
    # Turn off the Apple ID request that happens on first boot after installing the OS
    DisableAppleIDRequestForUser()
    local targetUserLib="${1}/Users/${2}/Library"
    # Only do this if the file doesn't exist
    if [ ! -e "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Disabling Apple ID request for user '${2}'"
    fi
    /usr/libexec/PlistBuddy -c "Add :DidSeeCloudSetup bool 1" "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Add :LastSeenCloudProductVersion string 10.8" "${targetUserLib}/Preferences/com.apple.SetupAssistant.plist" > /dev/null 2>&1
    fi
    return 0
    # If the pieces exist, enable remote access for the shell image
    EnableRemoteAccess()
    local srcVol="${1}"
    local opt=""
    if [ -e "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Enabling shell image remote access support"
    opt="-v"
    fi
    # install some things (again which aren't part of BaseSystem) needed for remote ASR installs
    /usr/bin/ditto $opt "${srcVol}/usr/lib/pam/pam_serialnumber.so.2" "${mountPoint}/usr/lib/pam/pam_serialnumber.so.2" || return 1
    if [ -e "${srcVol}/usr/sbin/installer" ]; then
    /usr/bin/ditto $opt "${srcVol}/usr/sbin/installer" "${mountPoint}/usr/sbin/installer" || return 1
    fi
    # copy the sshd config and add our keys to the end of it
    if [ -e "${srcVol}/etc/sshd_config" ]; then
    /bin/cat "${srcVol}/etc/sshd_config" - > "${mountPoint}/etc/sshd_config" << END
    HostKey /private/var/tmp/ssh_host_key
    HostKey /private/var/tmp/ssh_host_rsa_key
    HostKey /private/var/tmp/ssh_host_dsa_key
    END
    fi
    fi
    return 0
    # If it exists, install the sharing names and/or directory binding support to the install image
    HandleNetBootClientHelper()
    local tempDir="${1}"
    local targetVol="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e  "${tempDir}/bindingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Directory Service binding information"
    fi
    /usr/bin/ditto $opt "${tempDir}/bindingNames.plist" "${targetVol}/etc/bindingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/bindingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/bindingNames.plist"
    fi
    if [ -e  "${tempDir}/sharingNames.plist" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Sharing Names support"
    fi
    /usr/bin/ditto $opt "${tempDir}/sharingNames.plist" "${targetVol}/etc/sharingNames.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/etc/sharingNames.plist"
    /bin/chmod 644 "${targetVol}/etc/sharingNames.plist"
    fi
    if [ -e  "${tempDir}/NetBootClientHelper" ]; then
    /usr/bin/ditto $opt "${tempDir}/NetBootClientHelper" "${targetVol}/usr/sbin/NetBootClientHelper" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/usr/sbin/NetBootClientHelper"
    /bin/chmod 555 "${targetVol}/usr/sbin/NetBootClientHelper"
    /usr/bin/ditto $opt "${tempDir}/com.apple.NetBootClientHelper.plist" "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist" || return 1
    /usr/sbin/chown root:wheel "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    /bin/chmod 644 "${targetVol}/System/Library/LaunchDaemons/com.apple.NetBootClientHelper.plist"
    # finally, make sure it isn't disabled...
    /usr/libexec/PlistBuddy -c "Delete :com.apple.NetBootClientHelper" "${targetVol}/var/db/launchd.db/com.apple.launchd/overrides.plist" > /dev/null 2>&1
    fi
    return 0
    # If any exist, install configuration profiles to the install image
    InstallConfigurationProfiles()
    local tempDir="${1}"
    local targetVol="${2}"
    local profilesDir="${targetVol}/var/db/ConfigurationProfiles"
    if [ -e  "${tempDir}/configProfiles.txt" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing Configuration Profiles"
    fi
    /bin/mkdir -p "${profilesDir}/Setup" || return 1
    # Make sure the perms are correct
    /usr/sbin/chown root:wheel "${profilesDir}"
    /bin/chmod 755 "${profilesDir}"
    /usr/sbin/chown root:wheel "${profilesDir}/Setup"
    /bin/chmod 755 "${profilesDir}/Setup"
    /usr/bin/touch "${profilesDir}/.profilesAreInstalled"
    CopyEntriesFromFileToPath "${tempDir}/configProfiles.txt" "${profilesDir}/Setup" || return 1
    # Enable MCX debugging
    if [ 1 == 1 ]; then
    if [ -e  "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" ]; then
    /usr/libexec/PlistBuddy -c "Delete :debugOutput" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Delete :collateLogs" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    /usr/libexec/PlistBuddy -c "Add :debugOutput string -2" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    /usr/libexec/PlistBuddy -c "Add :collateLogs string 1" "${targetVol}/Library/Preferences/com.apple.MCXDebug.plist" > /dev/null 2>&1
    fi
    fi
    # Converts a list of scripts (full paths contained in the file at $1) into packages in $3
    InstallScriptsFromFile()
    local tempDir="${1}"
    local theFile="${2}"
    local targetDir="${3}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Converting scripts into install packages"
    opt="-v"
    fi
    while read FILE
    do
    if [ -e "${FILE}" ]; then
    # make an installer package out of the script
    CreateInstallPackageForScript "$tempDir" "${FILE}" || return 1
    # copy the resulting package to the Packages directory
    local leafName=`basename "${FILE}"`
    /usr/bin/ditto $opt "${tempDir}/${leafName}.pkg" "${targetDir}/${leafName}.pkg" || return 1
    # clean up
    /bin/rm -r "${tempDir}/${leafName}.pkg"
    fi
    done < "${theFile}"
    return 0
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PostFlightDestination()
    local tempDir="${1}"
    local destDir="${2}"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Performing post install cleanup"
    opt="-v"
    fi
    # delete the DS indices to force reindexing...
    if [ -e "${mountPoint}/var/db/dslocal/indices/Default/index" ]; then
    /bin/rm $opt "${mountPoint}/var/db/dslocal/indices/Default/index"
    fi
    # detach the disk and remove the mount folder
    DetachAndRemoveMount "${mountPoint}"
    if [ $? != 0 ]; then
    echo "Failed to detach and clean up the mount at '${mountPoint}'."
    return 1
    fi
    echo "Correcting permissions. ${ownershipInfoKey} $destDir"
    /usr/sbin/chown -R "${ownershipInfoKey}" "$destDir"
    # Prepare the source by deleting stuff we don't want to copy if sourcing a volume
    PreCleanSource()
    local srcVol="$1"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    opt="-v"
    fi
    if [ -e "$srcVol/private/var/vm/swapfile*" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing swapfiles on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/swapfile*"
    fi
    if [ -e "$srcVol/private/var/vm/sleepimage" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Removing sleepimage on $1"
    fi
    /bin/rm $opt "$srcVol/private/var/vm/sleepimage"
    fi
    if [ -d "$srcVol/private/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/tmp/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/private/var/tmp" ]; then
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out /private/var/tmp on $1"
    fi
    /bin/rm -r $opt "$srcVol/private/var/tmp/*" > /dev/null 2>&1
    fi
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Cleaning out devices and volumes on $1"
    fi
    if [ -d "$srcVol/Volumes" ]; then
    /bin/rm -r $opt "$srcVol/Volumes/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/dev" ]; then
    /bin/rm $opt "$srcVol/dev/*" > /dev/null 2>&1
    fi
    if [ -d "$srcVol/private/var/run" ]; then
    /bin/rm -r $opt "$srcVol/private/var/run/*" > /dev/null 2>&1
    fi
    # Copy kernel and build the kext cache on the boot image
    PrepareKernelAndKextCache()
    local srcDir="$1"
    local destDir="$2"
    local opt=""
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Preparing the kernel and kext cache for the boot image"
    opt="-v"
    fi
    # Insure the kext cache on our source volume (the boot shell) is up to date
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Updating kext cache on source volume"
    fi
    /usr/sbin/kextcache -update-volume "${srcDir}" || return 1
    # Copy the i386 and, if it exists, the x86_64 architecture
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Installing the kext cache to the boot image"
    fi
    # make sure this doesn't exist
    if [ -e "${destDir}/i386" ]; then
    /bin/rm -rf "${destDir}/i386"
    fi
    # Install kextcaches to the nbi folder
    if [ "${scriptsDebugKey}" == "VERBOSE" -o "${scriptsDebugKey}" == "DEBUG" ]; then
    echo "Creating a kernelcache for the boot shell"
    fi
    /bin/mkdir -p $opt "${destDir}/i386/x86_64" || return 1
    /usr/sbin/kextcache -arch x86_64 -L -N -S -z -K "${srcDir}/mach_kernel" -c "${destDir}/i386/x86_64/kernelcache" "${srcDir}/System/Library/Extensions" || return 1

    I am seeing a very similar output trying to make a netrestore image of a 10.8.4 Macbook Air on a 10.8.4 Mac Mini running OSX Server.  Gets to 84% and then shows the -1 progress and then just hangs until I cancel it (I haven't tried leaving it over night but left it that way for hours).
    Did you ever figure out what was going on or have a workaround to create an image?
    Thanks!

  • Itunes will not load due to An unknown error has occurred (-42408).

    in Windows iTunes will load but fails every time with "An unknown error has occurred (-42408)."  There is no obvious way to uninstall iTunes.  This includes manually starting iTunes from the Start menu and pluggin in an iPad2.
    How can iTunes be uninstalled/reinstalled or fixed?

    I just finished a re-install of iTunes 10.6.3.25 which worked fine.  I am using Windows Vista.  I logged off the Admin account and logged into a user account.  I plugged in the iPad2 and it never got to the sync that normally happens automatically.  then I got the -42408 error followed by another error:  iTunes cannot read the contents of the iPad "iPad".  Go to the Summary tab in the iPad preferences and click Restore to restore this iPad to factory settings.
    If I do this, will I lose all the Apps that were purchased?  Or will I need to re-download them?  But most importantly, will doing this Restore fix the problem?
    Thanks in advance for any ideas or proven solutions!

  • EPM server 2010 task page - "An unknown error has occurred"

    Hi All,
    Please note that I am using EPM server 2010.
    We have created various set of task in MPP and have saved and published it.
    Once the user login with his/her credential to EPM 2010 account. He/She can see assigned task in her timesheet.
    After entering actual hrs in timesheet user save timsheet.
    But once he/she clicks on Task button to Import the status of task. The task page is giving an error message "An unknown error has occured".
    I made all possibel changes and setting to resolve this issue. But still I am failed to find an answer.
    Please help me to find the correct resolution.
    Regards,
    Prashant Phate

    Try one by one i think 1 one will help you for sure
    1.Try updating the published database stats, well do all four Project Server databases using this command against each database
    EXEC SP_updatestats
    query will take time to execute depends on data. 
    2. see the
    link
    3. These types of errors are likely caused by one of the following:
    Corruption in the project data being viewed
    Basic corruption in the view configuration.
    For #1 this can be a custom field value that is filtered where one project has an invalid (null?) value for the field in question, so often just removing any filters configured on the view will fix this.
    If you identify the filter in question then see the tips above about republishing (or possibly re-saving AND re-publishing) some or all projects to correct the data.
    For #2 there are few options other than to recreate the view, copying the current view sometimes helps but not reliably.
    kirtesh

  • Project Server 2010 - Project Center: An unknown error has occurred

    Hi,
    We have an issue where project center is throwing 'An unknown error has occurred' error message. Searching the ULS logs provides this;
    12/01/2011 11:48:11.53  w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected Detected use of SPRequest for previously closed SPWeb object.  Please close
    SPWeb objects when you are done with all objects obtained from them, but not before.  Stack trace:    at Microsoft.SharePoint.SPWeb.get_CurrentUser()     at Microsoft.Office.Project.PWA.PJContext.get_RegionalSettings()    
    at Microsoft.Office.Project.PWA.PJContext.get_LocaleCulture()     at Microsoft.Office.Project.PWA.WCFContext.AuthenticateUser(Message message, WCFContext& wcfContext, String userName, Boolean isWindowsUser)     at
    Microsoft.Office.Project.PWA.WCFContext.GetContext(Message message, String userName, Boolean isWindowsUser, Boolean newCookie, Uri originalTargetUri)     at Microsoft.Office.Project.Server.ProjectServerRouter.Microsoft.Office.Project.Server.IProjectServerRouter.ProcessMessage(Message
    me... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.53* w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected ...ssage)     at SyncInvokeProcessMessage(Object , Object[]
    , Object[] )     at System.ServiceModel.Dispatcher.SyncMethodInvoker.Invoke(Object instance, Object[] inputs, Object[]& outputs)     at System.ServiceModel.Dispatcher.DispatchOperationRuntime.InvokeBegin(MessageRpc&
    rpc)     at System.ServiceModel.Dispatcher.ImmutableDispatchRuntime.ProcessMessage5(MessageRpc& rpc)     at System.ServiceModel.Dispatcher.ImmutableDispatchRuntime.ProcessMessage4(MessageRpc& rpc)    
    at System.ServiceModel.Dispatcher.MessageRpc.Process(Boolean isOperationContextSet)     at System.ServiceModel.Dispatcher.ChannelHandler.DispatchAndReleasePump(RequestContext request, Boolean cleanThread, OperationContext currentOperationContext)    
    at System.ServiceModel.Dispatcher.ChannelHandler.HandleRequest(RequestConte... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.53* w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected ...xt request, OperationContext currentOperationContext)    
    at System.ServiceModel.Dispatcher.ChannelHandler.AsyncMessagePump(IAsyncResult result)     at System.ServiceModel.Diagnostics.Utility.AsyncThunk.UnhandledExceptionFrame(IAsyncResult result)     at System.ServiceModel.AsyncResult.Complete(Boolean
    completedSynchronously)     at System.ServiceModel.Channels.InputQueue`1.AsyncQueueReader.Set(Item item)     at System.ServiceModel.Channels.InputQueue`1.EnqueueAndDispatch(Item item, Boolean canDispatchOnThisThread)    
    at System.ServiceModel.Channels.InputQueue`1.EnqueueAndDispatch(T item, ItemDequeuedCallback dequeuedCallback, Boolean canDispatchOnThisThread)     at System.ServiceModel.Channels.InputQueueChannel`1.EnqueueAndDispatch(TDisposable item,
    ItemDequeuedCallback dequeuedCallback,... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.53* w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected ... Boolean canDispatchOnThisThread)     at System.ServiceModel.Channels.SingletonChannelAcceptor`3.Enqueue(QueueItemType
    item, ItemDequeuedCallback dequeuedCallback, Boolean canDispatchOnThisThread)     at System.ServiceModel.Channels.SingletonChannelAcceptor`3.Enqueue(QueueItemType item, ItemDequeuedCallback dequeuedCallback)     at System.ServiceModel.Channels.HttpChannelListener.HttpContextReceived(HttpRequestContext
    context, ItemDequeuedCallback callback)     at System.ServiceModel.Activation.HostedHttpTransportManager.HttpContextReceived(HostedHttpRequestAsyncResult result)     at System.ServiceModel.Activation.HostedHttpRequestAsyncResult.BeginRequest()    
    at System.ServiceModel.Activation.HostedHttpRequestAsyncResult.OnBeginRequest(Object state)     at System.ServiceModel.PartialTrus... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.53* w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected ...tHelpers.PartialTrustInvoke(ContextCallback callback, Object state)    
    at System.ServiceModel.Activation.HostedHttpRequestAsyncResult.OnBeginRequestWithFlow(Object state)     at System.ServiceModel.Channels.IOThreadScheduler.CriticalHelper.WorkItem.Invoke2()     at System.ServiceModel.Channels.IOThreadScheduler.CriticalHelper.WorkItem.Invoke()    
    at System.ServiceModel.Channels.IOThreadScheduler.CriticalHelper.ProcessCallbacks()     at System.ServiceModel.Channels.IOThreadScheduler.CriticalHelper.CompletionCallback(Object state)     at System.ServiceModel.Channels.IOThreadScheduler.CriticalHelper.ScheduledOverlapped.IOCallback(UInt32
    errorCode, UInt32 numBytes, NativeOverlapped* nativeOverlapped)     at System.ServiceModel.Diagnostics.Utility.IOCompletionThunk.UnhandledExceptionFrame(UIn... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.53* w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     General                        90hv Unexpected ...t32 error, UInt32 bytesRead, NativeOverlapped* nativeOverlapped)    
    at System.Threading._IOCompletionCallback.PerformIOCompletionCallback(UInt32 errorCode, UInt32 numBytes, NativeOverlapped* pOVERLAP)   18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.54  w3wp.exe (0x1A98)                        0x15A0 SharePoint Foundation        
     Topology                       e5mc Medium   WcfSendRequest: RemoteAddress: 'http://servername:32843/f78ead39833941f4911623b393bd511f/PSI/PWA.svc'
    Channel: 'System.ServiceModel.Channels.IRequestChannel' Action: 'http://schemas.microsoft.com/office/project/server/webservices/PWA/ProjectGetProjectCenterProjectsForGridJson' MessageId: 'urn:uuid:05d10069-fa3b-4f09-8a7b-1ba900608c5a' 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.56  w3wp.exe (0x05D4)                        0x1EF4 SharePoint Foundation        
     Topology                       e5mb Medium   WcfReceiveRequest: LocalAddress: 'http://servername.domainname:32843/f78ead39833941f4911623b393bd511f/PSI/PWA.svc'
    Channel: 'System.ServiceModel.Channels.ServiceChannel' Action: 'http://schemas.microsoft.com/office/project/server/webservices/PWA/ProjectGetProjectCenterProjectsForGridJson' MessageId: 'urn:uuid:05d10069-fa3b-4f09-8a7b-1ba900608c5a' 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.56  w3wp.exe (0x05D4)                        0x1EF4 SharePoint Foundation        
     Monitoring                     nasq Medium   Entering monitored scope (ExecuteWcfServerOperation) 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61  w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception Exception occurred in method Microsoft.Office.Project.Server.BusinessLayer.Project.ProjectGetProjectCenterProjectsForGridJson
    Microsoft.Office.Project.Server.DataAccessLayer.FilterDal+FilterException: Error during filter query execution.   Query:     declare @ResUid UniqueIdentifier; set @ResUid = 51924808-f1b5-45b1-81d6-01f4e314df4b;  declare @PermUid
    UniqueIdentifier; set @PermUid = a120a079-75bc-4f0f-b376-3fb0ae9ac940;  declare @ViewUid UniqueIdentifier; set @ViewUid = 63d3499e-df27-401c-af58-ebb9607beae8;  declare @P0 Int; set @P0 = 5;    SET NOCOUNT ON    SELECT     
    T.PROJ_UID   INTO #T0   FROM dbo.MSP_PROJECTS AS P      INNER JOIN dbo.MSP_TASKS AS T ON T.PROJ_UID = P.PROJ_UID     INNER JOIN dbo.MSP_RESOURCES AS R ON R.RES_UID = P.WRES_UID    
    LEFT JOIN dbo.MSP_WORKFLOW_STATUS AS WFS... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ...TS ON WFSTS.PROJ_UID = P.PROJ_UID     INNER JOIN dbo.MSP_WEB_FN_SEC_GetAllProjectsResCanViewByViewID(@ResUid,
    @PermUid, @ViewUid, 3) AS perm ON perm.PROJ_UID = T.PROJ_UID  WHERE T.TASK_OPTINDX = 1.0    AND (ISNULL(WFSTS.STAGE_STATUS,-1) IN (-1, 1,2,3,5,6))   AND ((P.PROJ_TYPE <> @P0) OR (P.PROJ_TYPE IS NULL))  CREATE CLUSTERED
    INDEX PK_#T0 ON #T0 (PROJ_UID)    SET NOCOUNT OFF    SELECT      T.PROJ_UID ,      P.PROJ_NAME ,      T.TASK_START_DATE ,     
    T.TASK_FINISH_DATE ,      T.TASK_PCT_COMP ,      T.TASK_WORK ,      T.TASK_DUR ,      R.RES_NAME ,      P.WPROJ_LAST_PUB ,     
    P.PROJ_OPT_MINUTES_PER_DAY ,      P.PROJ_OPT_MINUTES_PER_WEEK ,      P.PROJ_OPT_DAYS_PER_MONTH ,      T.TASK_SUMMARY_PROGRESS_DATE ,      T.TASK_IS_MILESTONE
    ,      dbo.MSP_FN_HYPERLINK_HREF(T.TASK_HYPERLINK_ADDRESS,... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ... T.TASK_HYPERLINK_SUB_ADDRESS) AS TASK_HYPERLINK_HREF ,     
    T.TASK_OUTLINE_LEVEL ,      P.PROJ_TYPE ,      T.TASK_DUR_FMT ,      P.WSTS_SERVER_UID ,      P.PROJ_OPT_CURRENCY_CODE ,      P.PROJ_ACTIVE_RISK_COUNT
    ,      P.PROJ_ACTIVE_ISSUE_COUNT ,      P.PROJ_TOTAL_DOC_COUNT ,      WOB.WOBJ_ISSUE_REF_CNT ,      WOB.WOBJ_RISK_REF_CNT ,      WOB.WOBJ_DOC_REF_CNT
    ,      PJSYNC.SYNC_WSS_LIST_UID ,      T.TASK_COMPLETE_THROUGH ,      (CASE WHEN T.TASK_UID=T.TASK_PARENT_UID THEN 1 ELSE 0 END) AS TASK_IS_PROJECT_SUMMARY   FROM dbo.MSP_PROJECTS
    AS P      INNER JOIN dbo.MSP_TASKS AS T ON T.PROJ_UID = P.PROJ_UID     INNER JOIN dbo.MSP_RESOURCES AS R ON R.RES_UID = P.WRES_UID     LEFT JOIN dbo.MSP_WORKFLOW_STATUS AS WFSTS ON WFSTS.PROJ_UID
    = P.PROJ_UID     INNER JOIN #T0 AS keys ON keys.PROJ_UID = P.P... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ...ROJ_UID     LEFT JOIN (SELECT WOBJ_PROJ_UID as PROJ_UID,[4]
    as WOBJ_ISSUE_REF_CNT, [5] as WOBJ_RISK_REF_CNT, [3] as WOBJ_DOC_REF_CNT               FROM (               SELECT WOBJ_TYPE,
    WOBJ_PROJ_UID                FROM MSP_WEB_OBJECTS WHERE WOBJ_TASK_UID='00000000-0000-0000-0000-000000000000') pwob             
    PIVOT (COUNT(WOBJ_TYPE) FOR WOBJ_TYPE in([3] ,[4],[5])) AS pvt) AS WOB ON WOB.PROJ_UID = P.PROJ_UID     LEFT JOIN dbo.MSP_SYNC_PROJECT_SETTINGS AS PJSYNC ON PJSYNC.PROJ_UID = P.PROJ_UID  WHERE T.TASK_OPTINDX = 1.0   
    AND (ISNULL(WFSTS.STAGE_STATUS,-1) IN (-1, 1,2,3,5,6))      DROP TABLE #T0;     ---> System.Data.ConstraintException: Failed to enable constraints. One or more rows contain values violating non-null, unique,
    or foreign-key constraints.     at System.Data.DataSet.Enable... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ...Constraints()     at System.Data.DataSet.set_EnforceConstraints(Boolean
    value)     at Microsoft.Office.Project.Server.DataAccessLayer.DAL.SubDal.FillTypedDataSet(Boolean allowCache, DataSet typedDataSet, String[] tables, SqlCommand sqlCommand, Boolean enforceConstraints)     at Microsoft.Office.Project.Server.DataAccessLayer.DAL.SubDal.FillTypedDataSet(DataSet
    typedDataSet, String[] tables, SqlCommand sqlCommand, Boolean enforceConstraints)     at Microsoft.Office.Project.Server.DataAccessLayer.FilterDal.FillDataSet(QueryState queryState)     --- End of inner exception stack
    trace ---     at Microsoft.Office.Project.Server.DataAccessLayer.FilterDal.FillDataSet(QueryState queryState)     at Microsoft.Office.Project.Server.Utility.FilterDalQueryInfo.Query()     at Microsoft.Office.Project.Se... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ...rver.BusinessLayer.Project.ProjectQueryInfo.Query()    
    at Microsoft.Office.Project.Server.BusinessLayer.Project.ProjectCenterQueryInfo.Query()     at Microsoft.Office.Project.Server.Utility.JsGridPopulationManager.InitializeSerializer(TableQueryInfo tableInfo, OrderInfo orderInfo, SliceInfo
    sliceInfo, Guid groupSchemeUid, Nullable`1 ganttSchemeUid, Boolean serializeStyles, Func`1 getChanges, Boolean serializeUnfilteredHierarchy, Boolean serializeLookupTableInfo, Boolean showTimeWithDates, String rowFilter)     at Microsoft.Office.Project.Server.Utility.JsGridPopulationManager.InitializeSerializer(TableQueryInfo
    tableInfo, ViewPropertyGroup properties, JsGridSerializerArguments gridSerializerArgs, Func`1 getChanges)     at Microsoft.Office.Project.Server.BusinessLayer.Project.GetProjectCen... 18800f49-4909-4e4d-8130-6ead4d554598
    12/01/2011 11:48:11.61* w3wp.exe (0x05D4)                        0x1EF4 Project Server               
     General                        0000 Exception ...terProjectsForGridJson(JsGridSerializerArguments gridSerializerArgs, Guid viewUid,
    Int32 store, Boolean showInsertedProjects, Boolean clearPersistedProperties)     at Microsoft.Office.Project.Server.Wcf.Implementation.PWAImpl.ProjectGetProjectCenterProjectsForGridJson(JsGridSerializerArguments gridSerializerArgs, Guid
    viewUid, Int32 store, Boolean showInsertedProjects, Boolean clearPersistedProperties) 18800f49-4909-4e4d-8130-6ead4d554598
    I have searched the internet but most similar issues revolve around the resource center. I did find one person who just backed up the databases and provisioned a new site with success, but this has not worked. I am using the farm admin account, but all users
    get this issue.
    Any one got any ideas?
    Rob Hardy

    Bit further now.
    It seems one of the project won't publish, and produces this error;
    <?xml version="1.0" encoding="utf-16"?>
    <errinfo>
     <general>
      <class name="ActiveCacheQueuedMessageExecutionError">
       <error id="12005" name="ActiveCacheQueuedMessageExecutionError" uid="53d5e6c5-be41-47c8-b336-2e472b99d142" error="System.Data.SqlClient.SqlException: Violation of PRIMARY KEY constraint 'PK_MSP_PROJECT_RESOURCES'. Cannot insert duplicate
    key in object 'dbo.MSP_PROJECT_RESOURCES'.&#xA;Violation of PRIMARY KEY constraint 'PK_MSP_PROJECT_RESOURCES'. Cannot insert duplicate key in object 'dbo.MSP_PROJECT_RESOURCES'.&#xA;The statement has been terminated.&#xA;The statement has been
    terminated.&#xA;   at System.Data.SqlClient.SqlConnection.OnError(SqlException exception, Boolean breakConnection)&#xA;   at System.Data.SqlClient.TdsParser.ThrowExceptionAndWarning(TdsParserStateObject stateObj)&#xA;  
    at System.Data.SqlClient.TdsParser.Run(RunBehavior runBehavior, SqlCommand cmdHandler, SqlDataReader dataStream, BulkCopySimpleResultSet bulkCopyHandler, TdsParserStateObject stateObj)&#xA;   at System.Data.SqlClient.SqlCommand.FinishExecuteReader(SqlDataReader
    ds, RunBehavior runBehavior, String resetOptionsString)&#xA;   at System.Data.SqlClient.SqlCommand.RunExecuteReaderTds(CommandBehavior cmdBehavior, RunBehavior runBehavior, Boolean returnStream, Boolean async)&#xA;   at System.Data.SqlClient.SqlCommand.RunExecuteReader(CommandBehavior
    cmdBehavior, RunBehavior runBehavior, Boolean returnStream, String method, DbAsyncResult result)&#xA;   at System.Data.SqlClient.SqlCommand.InternalExecuteNonQuery(DbAsyncResult result, String methodName, Boolean sendToPipe)&#xA;  
    at System.Data.SqlClient.SqlCommand.ExecuteNonQuery()&#xA;   at Microsoft.Office.Project.Server.DataAccessLayer.DAL.SubDal.ExecuteStoredProcedureNoResult(String storedProcedureName, SqlParameter[] parameters)&#xA;   at Microsoft.Office.Project.Server.DataAccessLayer.WinProjDal.ExecuteStoredProcedure(String
    spName, SqlParameter[] parameters)&#xA;   at Microsoft.Office.Project.Server.BusinessLayer.WinProjUtility.WinProjUtility.ExecuteP12QueueableSPCommand(WinProjTraceContext wpTraceContext, DataStoreEnum store, P12QueueableSPCommand command, Boolean
    retry, Boolean useTransaction)&#xA;   at Microsoft.Office.Project.Server.BusinessLayer.WinProjUtility.WinProjQueueMessageDispatcher.DispatchMessage(ACMessage acMessage, Message msg, Group messageGroup, JobTicket jobTicket, MessageContext mContext)"/>
      </class>
      <class name="Queue">
       <error id="26000" name="GeneralQueueJobFailed" uid="65e11595-30af-4be7-a9d0-ec767c880cc7" JobUID="c348fb86-d807-4b06-abaa-81fcbcbc94f3" ComputerName="SERVERNAME" GroupType="ACProjectSave" MessageType="Byte[]" MessageId="8" Stage=""/>
      </class>
     </general>
    </errinfo>
    Anyone seen this? If I delete this project the project center loads. Obvisouly I don't want to do that though!
    Rob Hardy

  • I got "Invalid link" when I to reset my security questions from rescue email. Moreover when I log in into my Apple ID and click on Passwords and Security I'm thrown out with the message "An unknown error has occurred".

    Here is my problem:
    Need to change my email with the one that currently I'm using for rescue
    Planed to change first the rescue email with a new one.
    But:
    I Forgot the security questions
    Followed the reset security questions instructions.
    Got the email on the rescue address but The link I've got on my rescue email to reset my security questions is invalid. By now the 3 hour window for the validity of the link is gone.
    If I go via Apple ID, I login successfully but when I select Security I'm thrown back into Manage your Apple ID screen that displays now as well this message "An unknown error has occurred"
    Tried several times, the same again and again.
    On top of the long hours on the forums I spent 20 minutes over the phone with the US support on  international charge, eventually I hanged up while waiting too long for the 3 rd expert but got an email later on indicating to clear my browser history and try again, which didn't work. Case number 519598448. Used my laptop with IE and my iPad, same result.

    This problem now appears for me too.
    When using iforgot.apple.com email-verification clicking the reset link results in the "Invalid Link" error.
    The error, that caused me to do this (password failing to verify against iCloud) has vanished since though.

  • An error has occurred: An unknown error has occurred

    I have a report using InvoView for input parameters and displaying the output.  The report uses a date range to select data from the database.  I can run the report for many dates and date ranges, but when I use one particular date the report produced the following error after about 20 minutes - "An error has occurred: An unknown error has occurred".  This error is displayed in the InvoView window.  I can see the pageserver.exe thread still executing in the database monitor, so I know the thread is still processing.  Any help in determining what is this generic error and any how to resolve this issue would be greatly appreciated.
    George

    I'm kinda guessing here, but it sounds data related...
    Are you sure there's data for 1/28/09?  Does the report assume there's data, and it's doing something it shouldn't if there's no data?
    Can you scan the data for this date and see if you're getting valid data for all fields?
    What is your data source (database, excel, whatever)?  Might a "date" field have an invalid date, for example?
    If you don't have a lot of formula fields, add this to each (basic syntax):
    dim debug as number
    debug = debug / debug  'Cause divide by zero
    This will pop up a window for each field as it is being calculated.  Run the report with a different date, and note the order of the fields as they pop up.  Comment out the divide by zero as each field pops up to get to the subsequent field.  Re-run the report for the date that causes the error (after uncommenting the divide by zeros), and follow the same process, until the error pops up.  This should give you an idea of what field has the issue.  Manually walk through that field's calculation with the data for the record to see what fails.
    If it's not the first record that causes the error message, you can control which iteration the divide by zero occurs on with something like:
    dim debug as number
    global dbgcnt1 as number  ' probably want a different var for each formula field
    dbgcnt1 = dbgcnt1 + 1
    if dbgcnt1 > 10 then
      debug = debug / debug  'Cause divide by zero
    end if
    HTH,
    Carl

  • Project Server 2013 - "An unknown error has occured"

    Hi !
    Whenever I navigate to Project Center in Project Server 2013 the credentials window pops-up continuously even after entering correct admin account and after several clicks on OK button in credential window it says "An unknown error has occurred".
    This is happening at every links. Even at Resources, Tasks, Reports, etc.. Is this Project Server 2013 stable or still has bugs in it.
    I recently installed March 2013 hotfix for Project Server but still no luck. In ULS or Event Viewer I didn't got any
    relevant exceptions.
    I am even unable to connect to Project Server from Project Professional.
    Thanks & Regards.

    "An unknown error has occurred" usually means that the browser cannot resolve some data or something is missing. This can be caused by many issues. One for instance is deleting projects, but timesheets are still referencing it. Many others.   This
    is one of the harder issues to resolve, because often you don't find anything in the ULS.
    Seeing that this error is occurring everywhere on PWA, I would first try rerunning the "SharePoint Product Configuration Wizard".  If this fails at any place, that will be the first thing to fix.
    Cheers
    Michael Wharton, MVP, MBA, PMP, MCT, MCTS, MCSD, MCSE+I, MCDBA
    Website http://www.WhartonComputer.com
    Blog http://MyProjectExpert.com contains my field notes and SQL queries

  • I am getting an error message "an unknown error has occurred" everytime I try to download an App from the Appstore.  My ID and password are correctly entered.  How do I get rid of it?

    I am getting an error message saying "an unknown error has occurred" everytime I try and down load an App.  My ID and password are entered correctly.  What am I doing wrong and how do I get rid of this?

    If you have more than one user account, these instructions must be carried out as an administrator.
    Launch the Console application in any of the following ways:
    ☞ Enter the first few letters of its name into a Spotlight search. Select it in the results (it should be at the top.)
    ☞ In the Finder, select Go ▹ Utilities from the menu bar, or press the key combination shift-command-U. The application is in the folder that opens.
    ☞ Open LaunchPad. Click Utilities, then Console in the icon grid.
    Select "/var/log/install.log" from the file list on the left. If you don't see that list, select
    View ▹ Show Log List
    from the menu bar. Then select the messages from the last installation or update attempt, starting from the time when you initiated it. If you're not sure when that was, start over and note the time. Copy them to the Clipboard (command-C). Paste into a reply to this message (command-V).
    If there are runs of repeated messages, post only one example of each. Don’t post many repetitions of the same message.
    When posting a log extract, be selective. Don't post more than is requested.
    Please do not indiscriminately dump thousands of lines from the log into this discussion.
    Important: Some private information, such as your name, may appear in the log. Edit it out by search-and-replace in a text editor before posting.

  • Error: AN UNKNOWN ERROR HAS OCCURRED when trying to update the Picture Motion Browser (PMB) Portable software on an Apple Macintosh computer.

    Solved!
    Go to Solution.

    When the camera is connected to an Apple Macintosh computer, a prompt appears that says an update is available for the PMB Portable software. Selecting to update the software later causes the application to not respond and display the unknown error has occurred message. The PMB Portable update is required to make it work with the computer.
    Follow the steps below to resolve this issue.
    IMPORTANT:
    The computer must be connected to the Internet to complete the steps in this solution.
    For the MHS-CM5 and MHS-PM5 bloggie cameras it is necessary to download and install a firmware update before installing the PMB Portable update. The firmware update is only required when installing the PMB Portable update and is available from the same page.
    Select the option to Update Nowin the PMB Portable window.
    Download and save the PMB Portable update PMBPMAC12_Upgrade1004a.dmgfor Mac.
    After completely downloading the update, close the PMB Portable window. Make sure the application is closed by removing or ejecting the UNTITLED or NO NAME icon on the desktop. However, leave the PMBPORTABLE icon.
    Close any other unnecessary applications that may be running on the computer.
    Open the PMBPORTABLE icon on the desktop.
    Drag the PMBP_Win.exefile to the trash.
    NOTE: If PMBP_Win.exe file is locked and cannot be moved, unlock it by doing the following:
    Select the file.
    In the drop-down list, click Get Info.
    In the General section, next to Locked, click to remove the check mark.
    Empty the Trash to completely remove the PMB_Win.exefile.
    Run the PMBPMAC12_Upgrade1004a.dmgto install the latest update.
    Follow the on-screen instructions to complete the installation process.

  • Have publish error message.An unknown error has occured. Help!

    Having done quite a number of changes in iWeb and have tried to publish and getting "An unknown error has occured"
    Played about a bit and on two occasions had a fail to open situation as I had recently when OLD TOAD SORTED ME OUT>
    Can anyone help or is OLD TOAD about again.
    Bill Peckham UK

    Where are you publishing to - MobileMe or another server?
    Can you publish to a local folder?
    Try the troubleshooting steps under "Fix iWeb" here.....
    http://www.iwebformusicians.com/WebMusic/iWebTips.html
    .... and also look at the next section on Domain File Corruption.
    "I may receive some form of compensation, financial or otherwise, from my recommendation or link."

  • Corrupted project file.  "An unknown error has occurred" help!

    Hi everyone,
    have been working on a wedding video for 5 days straight and sdude my an error forced the app to close.
    After attempting to reopen the project an error message has popped up:  "an unknown error has occurred"
    and closed the app again.
    Atempted to import sequences via a new project file and same error pops up.
    Any ideas?
    thank you very much.

    And I've been getting the message too, since yesterday. Using both my iMac and iphone 4.

  • An unknown error has occurred in the HsvLoadFileConverter object

    <p>Good Day,</p><p> </p><p>When using HFM web and trying to create an HFM APP, this errorcomes.</p><p> </p><p>An unknown error has occurred in the HsvLoadFileConverterobject.</p><p> </p><p>I have refreshed my Server/Web config for the DCOM user id andrestarted the IIS Admin Service.  Still the error comes.</p><p> </p><p>Thanks</p><p> </p><p>Azmat Bhatti</p>

    The issue is caused by corrupt Point of Veiw information stored in the USERPARAMS table in the HFM repository database.
    IMPORTANT: Make a full backup of the the database before attempting any direct changes in HFM repository.
    To delete corrupt user data from USERPARAMS table the following SQL statement may be used where <username> is the name of the user affected and <appname> is the name of the application:
    DELETE *
    FROM <appname>_USERPARAMS
    WHERE Username like '<username>@%'
    The USERPARAMS table stores user-based information such as HFM Cluster settings, Extended Analytics settings, Web Data Entry Form settings, Web Based Report Files. Executing above SQL statement will reset all these settings for selected user.
    Refer: 'An unknown error has occurred in the HsvWebFormGeneratorACM Object' Appears When Opening a Web Form (Doc ID 941906.1)
    HTH-
    Jasmine.

  • My apple id gives "an unknown error has occurred"message

    Signing in with my apple ID and password reponds with "an unknown error has occurred" message when signing in to Ibooks and Mac app store.  I cannot there for access any updates.  Help!!

    Like this?
    If so, its not just you. Only these programs fail to update for me. Meanwhile, Windows 8 Pro virtual machine works like a champ!

  • An unknown error has occurred in the HsvClusterController object. /

    Hi,
    As we have performance issue on our HFM application, we want to install some patchs.
    We are in Hyperion Financial Management 9.2.0.3
    The first patch I want to install is p7020293.
    We have 4 environments. This patch works well on our DEV environment, but when I install it on the other, we faced this error when HsvDataSource are launched:
    File: CHsxServerImpl.cpp Version: 9.2.0.0.1380 Line: 1485 Error: (-2147200192)(0x80045340)(An unknown error has occurred in the HsvClusterController object.)
    File: CHsxServerImpl.cpp Version: 9.2.0.0.1380 Line: 3345 Error: (-2147200192)(0x80045340)(An unknown error has occurred in the HsvClusterController object.)
    All our environment have 2 HFM servers in a cluster. This error occurs when HsvDataSource are launched by the HsxService.exe.
    As some one an idea about what can cause this problem ?
    Edited by: user8014315 on 17-Dec-2009 05:37

    The issue is caused by corrupt Point of Veiw information stored in the USERPARAMS table in the HFM repository database.
    IMPORTANT: Make a full backup of the the database before attempting any direct changes in HFM repository.
    To delete corrupt user data from USERPARAMS table the following SQL statement may be used where <username> is the name of the user affected and <appname> is the name of the application:
    DELETE *
    FROM <appname>_USERPARAMS
    WHERE Username like '<username>@%'
    The USERPARAMS table stores user-based information such as HFM Cluster settings, Extended Analytics settings, Web Data Entry Form settings, Web Based Report Files. Executing above SQL statement will reset all these settings for selected user.
    Refer: 'An unknown error has occurred in the HsvWebFormGeneratorACM Object' Appears When Opening a Web Form (Doc ID 941906.1)
    HTH-
    Jasmine.

Maybe you are looking for

  • Windows Vista Photo Gallery displays incorrect colors? Photoshop?

    Hi all I have two PC's running Windows Vista that I work with and both have photoshop CS3 installed, but for what ever reason on one of the PC's the Windows Photo Gallery application displays really desaturated colors when views jpg's and the like (t

  • How to call the second mapping in the first mapping fails in the BPM

    Hi All, I have a scenario like this. There are two mappings. There is a one condition while genearying the root element of the first mapping. If this condition is not satisfies the first mapping will fail. If this mapping fails i want to trigger anot

  • HTTP socket connection

    Hi, I have an applet which communicates with servlets, sending serialized objects back and forth. This works fine but it means communication between client and server can only be instantiated from the client side. It would be better if my applet (or

  • Can I cut, copy and paste a block of text in PL/SQL Developer?

    I have been using TextPad to put together SQL statements by using the cut, copy and pasting of BLOCKS of text. Example: I copy the describe of a table, replace varchar, number, date will 10 spaces and then copy the column names in a block and paste i

  • HR Master Data Uploads - Uploaded Employees not appearing on org structure

    hi experts. i uploaded employees using a bdc program and all the information got in. but on viewing the org structure using PPOME the positions remain vacant (there is no indication that the position has already been occupied).  Your help will be app